
import Globals
from Products.ZenModel.migrate.Migrate import Version
from Products.ZenModel.ZenPack import ZenPack, ZenPackDataSourceMigrateBase
from ZenPacks.SkyTap.VlabMonitor.datasources.VlabMonitorDataSource \
        import VlabMonitorDataSource


class ConvertVlabMonitorDataSources(ZenPackDataSourceMigrateBase):
    version = Version(2, 0, 0)
    
    # These provide for conversion of datasource instances to the new class
    dsClass = VlabMonitorDataSource
    oldDsModuleName = 'Products.VlabMonitor.datasources' \
                                                    '.VlabMonitorDataSource'
    oldDsClassName = 'VlabMonitorDataSource'
    
    # Reindex all applicable datasource instances
    reIndex = True
            
